classification
Title: Underported Tools/unicode/comparecodecs.py
Type: behavior Stage: resolved
Components: Demos and Tools Versions: Python 3.4, Python 3.2, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: ezio.melotti, georg.brandl, pitrou, python-dev, serhiy.storchaka
Priority: low Keywords: needs review, patch

Created on 2012-07-17 08:15 by serhiy.storchaka, last changed 2012-10-17 14:17 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
comparecodecs.patch serhiy.storchaka, 2012-07-17 08:30 review
Messages (4)
msg165689 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-07-17 08:30
Oops, wrong message, wrong patch.

Tools/unicode/comparecodecs.py was not properly ported from Python 2 to Python 3. The suggested patch fixes this porting issue.
msg173178 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2012-10-17 14:03
Can anyone look at this tiny patch?
msg173179 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-17 14:16
New changeset 98f64cbed2ac by Antoine Pitrou in branch '3.2':
Issue #15378: Fix Tools/unicode/comparecodecs.py.  Patch by Serhiy Storchaka.
http://hg.python.org/cpython/rev/98f64cbed2ac

New changeset f281d7700339 by Antoine Pitrou in branch '3.3':
Issue #15378: Fix Tools/unicode/comparecodecs.py.  Patch by Serhiy Storchaka.
http://hg.python.org/cpython/rev/f281d7700339

New changeset ae1f84fd143e by Antoine Pitrou in branch 'default':
Issue #15378: Fix Tools/unicode/comparecodecs.py.  Patch by Serhiy Storchaka.
http://hg.python.org/cpython/rev/ae1f84fd143e
msg173180 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-10-17 14:17
The patch is obviously good, thank you :)
History
Date User Action Args
2012-10-17 14:17:22pitrousetstatus: open -> closed

nosy: + pitrou
messages: + msg173180

resolution: fixed
stage: patch review -> resolved
2012-10-17 14:16:45python-devsetnosy: + python-dev
messages: + msg173179
2012-10-17 14:03:49serhiy.storchakasetmessages: + msg173178
versions: + Python 3.4
2012-10-17 14:02:25serhiy.storchakasetmessages: - msg165687
2012-08-05 10:46:03serhiy.storchakasetkeywords: + needs review
priority: normal -> low
stage: patch review
2012-07-17 08:54:56pitrousetnosy: + georg.brandl, ezio.melotti
2012-07-17 08:30:44serhiy.storchakasetfiles: - decode_charmap_maxchar.patch
2012-07-17 08:30:21serhiy.storchakasetfiles: + comparecodecs.patch

messages: + msg165689
2012-07-17 08:15:13serhiy.storchakacreate